/****************************************************************************
*
* (C) Unpublished Copyright Novell, Inc. All Rights Reserved.
*
* No part of this file may be duplicated, revised, translated,
* localized or modified in any manner or compiled, linked or 
* uploaded or downloaded to or from any computer system without
* the prior written consent of Novell, Inc.
*
* NetWare C NLM Runtime Library source code
*
*****************************************************************************/

#ifndef _LIBRARY_H_INCLUDED
                                                                          
#include <nwtypes.h>
#include <process.h>

#ifdef __cplusplus
extern "C" {
#endif

extern int *__get_thread_data_area_ptr();


extern LONG RegisterLibrary( 
         register int (*cleanupFunc)( void *__dataAreaPtr ) );

extern int DeregisterLibrary( 
         LONG __libraryHandle );

extern int SaveDataAreaPtr( 
         LONG  __libraryHandle, 
         void *__dataAreaPtr );

extern void *GetDataAreaPtr( 
         LONG __libraryHandle );

#ifdef __cplusplus
}
#endif

#define Thread_Data_Area        *__get_thread_data_area_ptr()

#define _LIBRARY_H_INCLUDED
#endif  /* _LIBRARY_H_INCLUDED  */
