/*
 * Copyright (c) 1983 Regents of the University of California.
 * All rights reserved.  The Berkeley software License Agreement
 * specifies the terms and conditions for redistribution.
 *
 *	@(#)inet.h 1.7 88/02/07 SMI; from UCB 5.1 5/30/85
 */

/*
 * External definitions for
 * functions in inet(3N)
 */
unsigned long inet_addr();
struct	in_addr inet_makeaddr();
unsigned long inet_network();

#ifdef	NOT_NETWARE_386

/* provide normal compilations if a compiler tells us that this is not
netware */

/* Don't need to define a context block in a normal environment. */

#define	NETDB_DEFINE_CONTEXT
char	*inet_ntoa();

#else /* #ifdef NOT_NETWARE_386 */

/* Declare the context block.  The client must supply the actual
 * block by placing NETDB_DEFINE_CONTEXT in one of the C modules
 * in the link.
 */

extern char nwinet_scratch[18];
#define NETINET_DEFINE_CONTEXT	char nwinet_scratch[18] ={0};
extern char *NWinet_ntoa(char *,struct in_addr);
#define inet_ntoa(in)			\
	NWinet_ntoa(nwinet_scratch,(in))

#endif

