/****************************************************************************
*
* (C) Unpublished Copyright Novell, Inc. All Rights Reserved.
* (c) Copyright WATCOM Systems Inc. 1988. All rights reserved.
*
* No part of this file may be duplicated, revised, translated,
* localized or modified in any manner or compiled, linked or 
* uploaded or downloaded to or from any computer system without
* the prior written consent of Novell, Inc.
*
* NetWare C NLM Runtime Library source code
*
*****************************************************************************/

#ifndef _ASSERT_H_INCLUDED

#undef assert

#ifdef NDEBUG
# define assert(__ignore) ((void) 0)
#else

#ifdef __cplusplus
extern "C" {
#endif

int __assert( int expr, char *exprStr, char *fName, int lineNo );

#ifdef __cplusplus
}
#endif

#define assert(expr) __assert(expr, #expr, __FILE__, __LINE__)

#endif

#define _ASSERT_H_INCLUDED
#endif
